

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.50. reference_release &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.3.51. register" href="register.html" />
    <link rel="prev" title="7.3.49. reference_acquire" href="reference_acquire.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/commands/reference_release.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="register.html" title="7.3.51. register"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="reference_acquire.html" title="7.3.49. reference_acquire"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.50. </span><code class="docutils literal notranslate"><span class="pre">reference_release</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="reference-release">
<h1><span class="section-number">7.3.50. </span><code class="docutils literal notranslate"><span class="pre">reference_release</span></code><a class="headerlink" href="#reference-release" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.50.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 10.0.4 で追加.</span></p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">reference_release</span></code> は対象オブジェクトに対して <a class="reference internal" href="reference_acquire.html"><span class="doc">reference_acquire</span></a> で増やした参照を1つ減らします。</p>
<p>このコマンドはリファレンスカウントモードのとき以外は意味がありません。リファレンスカウントモードを有効にするには <code class="docutils literal notranslate"><span class="pre">GRN_ENABLE_REFERENCE_COUNT=yes</span></code> 環境変数を使います。</p>
<p><a class="reference internal" href="reference_acquire.html"><span class="doc">reference_acquire</span></a> を実行したら対応する <code class="docutils literal notranslate"><span class="pre">reference_release</span></code> を実行しないといけません。もし、 <code class="docutils literal notranslate"><span class="pre">reference_release</span></code> を実行することを忘れると <a class="reference internal" href="reference_acquire.html"><span class="doc">reference_acquire</span></a> で参照したオブジェクトは決して自動でクローズされません。</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.50.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドには2つの引数があります。</p>
<p>すべての引数は省略可能です:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>reference_release [target_name=null]
                  [recursive=yes]
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.50.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>使い方を示すために使うスキーマ定義は以下の通りです。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_create Users TABLE_HASH_KEY ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Users age COLUMN_SCALAR UInt8
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Users introduction COLUMN_SCALAR ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
table_create Ages TABLE_PAT_KEY UInt8
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Ages user_age COLUMN_INDEX Users age
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>対応する <a class="reference internal" href="reference_acquire.html"><span class="doc">reference_acquire</span></a> と同じ引数の <code class="docutils literal notranslate"><span class="pre">reference_release</span></code> を実行しないといけません。</p>
<p>もし、 <code class="docutils literal notranslate"><span class="pre">--target_name</span> <span class="pre">Users</span> <span class="pre">--recursive</span> <span class="pre">dependent</span></code> で  <a class="reference internal" href="reference_acquire.html"><span class="doc">reference_acquire</span></a> を実行したら、 <code class="docutils literal notranslate"><span class="pre">--target_name</span> <span class="pre">Users</span> <span class="pre">--recursive</span> <span class="pre">dependent</span></code> で <code class="docutils literal notranslate"><span class="pre">reference_release</span></code> を実行しないといけません。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>reference_release --target_name Users --recursive dependent
# [[0, 1337566253.89858, 0.000355720520019531], true]
# select Users ...
# load --table Users ...
reference_release --target_name Users --recursive dependent
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.50.4. </span>引数<a class="headerlink" href="#parameters" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このセクションではすべての引数について説明します。</p>
<div class="section" id="required-parameters">
<h3><span class="section-number">7.3.50.4.1. </span>必須引数<a class="headerlink" href="#required-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>必須の引数はありません。</p>
</div>
<div class="section" id="optional-parameters">
<h3><span class="section-number">7.3.50.4.2. </span>省略可能引数<a class="headerlink" href="#optional-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>いくつか省略可能な引数があります。</p>
<div class="section" id="target-name">
<span id="reference-release-target-name"></span><h4><span class="section-number">7.3.50.4.2.1. </span><code class="docutils literal notranslate"><span class="pre">target_name</span></code><a class="headerlink" href="#target-name" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>対象オブジェクトの名前を指定します。対象オブジェクトはデータベース、テーブル、カラムのどれかです。</p>
<p>このパラメーターを省略すると、データベースが対象オブジェクトになります。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>reference_release
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>テーブル名を指定すると、そのテーブルが対象オブジェクトになります。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>reference_release --target_name Users
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>カラム名を指定すると、そのカラムが対象オブジェクトになります。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>reference_release --target_name Users.age
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
</div>
<div class="section" id="recursive">
<span id="reference-release-recursive"></span><h4><span class="section-number">7.3.50.4.2.2. </span><code class="docutils literal notranslate"><span class="pre">recursive</span></code><a class="headerlink" href="#recursive" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>書き出し対象オブジェクトの子オブジェクトも対象にするかどうかを指定します。</p>
<p>詳細は <a class="reference internal" href="reference_acquire.html#reference-acquire-recursive"><span class="std std-ref">recursive</span></a> を見てください。</p>
</div>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.50.5. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドが成功したときは以下のようにボディは <code class="docutils literal notranslate"><span class="pre">true</span></code> になります:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, true]
</pre></div>
</div>
<p>このコマンドが失敗すると、 <code class="docutils literal notranslate"><span class="pre">HEADER</span></code> にエラーの詳細が含まれます。</p>
<p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code> については <a class="reference internal" href="../command/output_format.html"><span class="doc">出力形式</span></a> を参照してください。</p>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.50. <code class="docutils literal notranslate"><span class="pre">reference_release</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.50.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.3.50.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.3.50.3. 使い方</a></li>
<li><a class="reference internal" href="#parameters">7.3.50.4. 引数</a><ul>
<li><a class="reference internal" href="#required-parameters">7.3.50.4.1. 必須引数</a></li>
<li><a class="reference internal" href="#optional-parameters">7.3.50.4.2. 省略可能引数</a><ul>
<li><a class="reference internal" href="#target-name">7.3.50.4.2.1. <code class="docutils literal notranslate"><span class="pre">target_name</span></code></a></li>
<li><a class="reference internal" href="#recursive">7.3.50.4.2.2. <code class="docutils literal notranslate"><span class="pre">recursive</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.50.5. 戻り値</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="reference_acquire.html"
                        title="前の章へ"><span class="section-number">7.3.49. </span><code class="docutils literal notranslate"><span class="pre">reference_acquire</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="register.html"
                        title="次の章へ"><span class="section-number">7.3.51. </span><code class="docutils literal notranslate"><span class="pre">register</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="register.html" title="7.3.51. register"
             >次へ</a> |</li>
        <li class="right" >
          <a href="reference_acquire.html" title="7.3.49. reference_acquire"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.50. </span><code class="docutils literal notranslate"><span class="pre">reference_release</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>